package com.loafle.overflow.rpc;

import com.loafle.overflow.crawler.Crawler;
import com.loafle.overflow.rpc.api.RemoteImpl;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.HashMap;
import java.util.Map;

import static org.junit.Assert.*;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = Application.class)
public class ApplicationTest {

    @Autowired
    private RemoteImpl impl;

    @Test
    public void TestRun() throws Exception {

        Crawler r = impl.getCrawler("REDIS");
        Map<String,Object> m= new HashMap<String, Object>();
        m.put("id","192.168.1.104");
        m.put("port","6379");
        r.putConfig("testid",m);

        m = r.getConfig("testid");
        assertEquals("192.168.1.104",m.get("id"));
    }
}